Bug 854898 - [RFE]Support qed format in virt-convert
[RFE]Support qed format in virt-convert
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 04:57 EDT by Cui Lei
Modified: 2014-07-06 15:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-07 11:59:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cui Lei 2012-09-06 04:57:50 EDT
Description of problem:
qed format is support in libvirt. But in virt-convert, it is not support now.
If you convert a vmx format to qed disk format, error message would popup:
"virt-convert: error: Unknown output disk format "qed""

check the related code, ./site-packages/virtconv/diskcfg.py, there is no qed format supported in it.
disk_format_names = {
    "none": DISK_FORMAT_NONE,
    "raw": DISK_FORMAT_RAW,
    "vmdk": DISK_FORMAT_VMDK,
    "vdisk": DISK_FORMAT_VDISK,
    "qcow": DISK_FORMAT_QCOW,
    "qcow2": DISK_FORMAT_QCOW2,
    "cow": DISK_FORMAT_COW,
}


Version-Release number of selected component (if applicable):
python-virtinst-0.600.0-8.el6.noarch

How reproducible:
100%

Steps to Reproduce:
#virt-convert -i vmx -o virt-image -D qed /tmp/vmware/*.vmx

Check if the conversion successful.

Actual results:
Failed. Error message pop up "virt-convert: error: Unknown output disk format "qed""

Expect result:
Support qed format in virt-convert
Comment 4 Cole Robinson 2013-04-21 15:12:24 EDT
virtinst has been merged into virt-manager.git. Moving all virtinst bugs to the virt-manager component.
Comment 5 Cole Robinson 2014-02-07 11:59:49 EST
Soon to be upstream virt-convert has dropped the image format whitelist, so this should work now.

Note You need to log in before you can comment on or make changes to this bug.